{
    attributes = (
        {
            columnName = "C_CONT_ID"; 
            externalType = NUMBER; 
            name = contratRepart; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "C_ETT_CONT_FK"; 
            externalType = NUMBER; 
            name = etatContratPrestationId; 
            precision = 9; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "C_PRES_ID"; 
            externalType = NUMBER; 
            name = prestationRepart; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RCP_TOTAL_HT"; 
            externalType = NUMBER; 
            name = rcpTotalHT; 
            precision = 12; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "RCP_TOTAL_TTC"; 
            externalType = NUMBER; 
            name = rcpTotalTTC; 
            precision = 12; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "RCP_TOTAL_TVA"; 
            externalType = NUMBER; 
            name = rcpTotalTVA; 
            precision = 12; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (
        contratRepart, 
        etatContratPrestationId, 
        prestationRepart, 
        rcpTotalHT, 
        rcpTotalTTC, 
        rcpTotalTVA
    ); 
    className = "org.cocktail.fwkcktlformco.serveur.metier.EORepartContratPrestation"; 
    classProperties = (
        rcpTotalHT, 
        rcpTotalTTC, 
        rcpTotalTVA, 
        toCWContrat, 
        toEtatContrat, 
        toPrestation
    ); 
    externalName = "FORMCO.REP_CONT_PRES"; 
    fetchSpecificationDictionary = {}; 
    name = EORepartContratPrestation; 
    primaryKeyAttributes = (contratRepart, prestationRepart); 
    relationships = (
        {
            destination = CWContrat; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = contratRepart; }); 
            name = toCWContrat; 
        }, 
        {
            destination = EOEtatContrat; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = cEtatContratId; 
                    sourceAttribute = etatContratPrestationId; 
                }
            ); 
            name = toEtatContrat; 
        }, 
        {
            destination = Prestation; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = prestId; sourceAttribute = prestationRepart; }); 
            name = toPrestation; 
        }
    ); 
}
